when:
  - event: pull_request

steps:
  - name: docker-build
    image: woodpeckerci/plugin-docker-buildx
    settings:
      repo: artifactapi.k8s.syd1.au.unkin.net/docker-internal/autobackup-operator
      dockerfile: Dockerfile.operator
      dry_run: true
    backend_options:
      kubernetes:
        serviceAccountName: autobackup-operator-ci
        resources:
          requests:
            memory: 512Mi
            cpu: 1
          limits:
            memory: 2Gi
            cpu: 2
